(*Title : Master, auxilary package of Biokmod*)

(* Contiene simbolos utilizados en otros paquetes de Biokmod*)

(* : Copyright : Copyright 2005, Guillermo Sanchez.guillermo@usal.es.*)

(* : Package Version : 1.1*)

(* : History : 1.0 September 2004; 1.1 June 2005*)

BeginPackage["Biokmod`Master`"]

(*Common symbols*) 

q::usage = "Gives the retention function qXX, being XX a compartment 
  o region";
k::usage = "Represent the rate transfer coefficient";

IntakeType::usage =
"An option to indicate the type of intake, by default is assumed an Acute intake";
IntakeWay::usage = "A option to indicate the intake way: Injection, Ingestion 
or Inhalation";
ShowReport::usage = "A option to indicate the type of report";

(*Repiratory tract compartments*)

AI::usage = "Region AI, alveolar-interstitial";

(*AI1::usage = "Compartment AI1 of region AI";
  AI2::usage = "Compartment AI2 of region AI";
  AI3::usage = "Compartment AI3 of region AI";*)

BB::usage = "Region BB, Branchial region";
BB1::usage = "Compartment BB1";
BB2::usage = "Compartment BB2";
bb::usage = "Region bb, bronchiolar region";
bb1::usage = "Compartment bb1";
bb2::usage = "Compartment bb2";
BBseq::usage = "Compartment BBseq";
bbseq::usage = "Compartment bbseq";
Env::usage = "Compartment Enviroment";
ET1::usage = "Compartment ET1";
ET2::usage = "Region ET2";
ETseq::usage = "Compartment ETseq";
LNet::usage = "Compartment LNet";
LNth::usage = "Compartment LNth";

fAI1::usage = "Fraction of deposition factor fAI1 = AI1/AI";
fAI2::usage = "Fraction of deposition factor fAI2 = AI2/AI";
fAI3::usage = "Fraction of deposition factor fAI2 = AI3/AI";

fbs::usage = "Fraction of deposition factor fbs = bbseq/(bbfastseq + 
bbslow)";
fBs::usage = "Fraction of deposition factor fBs = BBseq/(
    BBfastseq + BBslow)";
fet2::usage = "Fraction of deposition factot  fet2 = ET2 (compartment)
ET2 (region)";


F::usage = "Default absortion paremeter for type F";
M::usage = "Default absortion paremeter for type M";
S::usage = "Default absortion paremeter for type S";

(* Initial deposition factors*)

amadFDWorker = {AMAD05, AMAD07, AMAD1, AMAD2, AMAD3, AMAD4, AMAD5, AMAD7, 
AMAD10, AMAD15, AMAD20};

((MessageName[#1, "usage"] = StringJoin["Apply fractional deposition values 
for AMAD ", StringDrop[ToString[#1], 4], " m, recomended in Annex F.1 of ICRP 66 
for reference workers (normal nose breathers)"]) &) /@ amadFDWorker;


(*Auxiliary functions*)

qET1::usage = "Gives the retention in compartment ET1";
qSTfromRT::usage = "Gives the retention 
in compartment ST -trap compartment- from the RT flow ";
qBfromRT::usage = "Gives the retention in compartment B -trap compartment- 
from the RT flow ";

qRTChronic::"usage" = "See RespiratoryTrac Help for Constant Input";
qRTContinuous::"usage" = "See RespiratoryTract Help for Continouos Input";
qLungsChronic::"usage" = "see LungsRetention Help";
qLungsContinuous::"usage" = "see LungsRetention Help";
qLungsMultiInputs::"usage" = "see LungsRetention Help";

(* Humorap3 *)

B::usage = "Compartment B, blood";

(*GI compartments*)

ST::usage = "GI compartment ST, stomach";
SI::usage = "GI compartment SI, small intestine";
ULI::usage = "GI compartment ULI, upper large intestine";
LLI::usage = "GI compartment LLI, Lower large intestine";
URI::usage = "Compartment URI, urine";
qB::usage = "Gives the retention in compartment B (Blood or Plasma)";
qST::usage = "Gives the retention in Stomach ";
qBfromGI::usage = "Gives the retention in compartment B (Blood or Plasma) 
from the GI flow ";
qSI::usage = "Gives the retention in compartment SI";
qULI::usage = "Gives the retention in compartment ULI";
qLLI::usage = "Gives the retention in compartment LLI";
qFEC::usage = "Gives the retention in compartment FEC";
qURI::usage = "Gives the retention in compartment URI";
qDailyUrine::usage = "Gives the daily -24 h- urine excretion ";
qDailyFaecal::usage = "Gives the daily -24 h- faecal excretion ";
qWB::usage = "Gives the retention in Whole Body";
f::usage = "Subscript[f, B] -> f1/(1 - f1)";
f1::usage = "Rate Transfer coefficient from SI to Blood";

(*AUXILIARY FUNCTIONS*)

ExtractCoef::usage = "ExtractCoef[expr, t] gives coeffs. and exponents 
{{a1, ..,an},{b1,..,bi}} from an multiexponential expression as {a1 Exp[b1
t]+...+ ai Exp[bi t]} ";

Begin["`Private`"]

ExtractCoef[list_, t_] := Module[{a, b}, Transpose[
    Cases[list, _*Exp[_*t]] /. a_*Exp[b_*t] -> {a, b}]];


End[]

EndPackage[]