(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     72940,       1721]*)
(*NotebookOutlinePosition[     74043,       1755]*)
(*  CellTagsIndexPosition[     73999,       1751]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Internal dose computation", "Chapter"],

Cell[TextData[{
  StyleBox["Author",
    FontWeight->"Bold"],
  ": Guillermo Sanchez:  ",
  StyleBox["guillermo@usal.es, ",
    FontColor->RGBColor[0, 0, 1]],
  "  ",
  StyleBox[ButtonBox["http://web.usal.es/~guillerm/",
    ButtonData:>{
      URL[ "http://web.usal.es/~guillerm/"], None}],
    ButtonBoxOptions -> {DefaultStyle -> "Hyperlink"}]
}], "Text"],

Cell["Last update of this help:  \t 2005-08-22", "Commentary"],

Cell["\<\
In this notebook is shown how obtain Dose Conversion Factors \
\>", "Text"],

Cell[CellGroupData[{

Cell["Initialization", "SubsectionIcon"],

Cell[CellGroupData[{

Cell[BoxData[
    \($Version\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \("5.2 for Microsoft Windows (June 20, 2005)"\)], "Output",
  CellLabel->"Out[1]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Needs["\<Biokmod`Humorap3`\>"]\)], "Input",
  CellLabel->"In[2]:="],

Cell[BoxData[
    \("Resptract 1.2 b1 2005-05-16"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("SysModel, guillermo@usal.es, version 1.3.   2005-08-24"\)], "Print",
  CellLabel->"From In[2]:="],

Cell[BoxData[
    \("Humorap 3.3 b1 2005-06-17"\)], "Print",
  CellLabel->"From In[2]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?"\<Biokmod`Humorap3`*\>"\)\)], "Input",
  CellLabel->"In[3]:="],

Cell[BoxData[GridBox[{
        {
          StyleBox["Biokmod`Humorap3`",
            FontFamily->"Helvetica",
            FontSize->12,
            FontWeight->"Bold"]},
        {GridBox[{
              {
                ButtonBox[
                  StyleBox["BioassayReport",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`BioassayReport"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qContinuous",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qContinuous"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qIngestionE",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qIngestionE"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qInjection",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qInjection"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qRT",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qRT"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qWholebodyE",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qWholebodyE"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"]},
              {
                ButtonBox[
                  StyleBox["BioassayReportE",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`BioassayReportE"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qGI",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qGI"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qInhalation",
                    "Hyperlink"],
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qInhalation"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qInjectionE",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qInjectionE"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qRTandGI",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qRTandGI"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], ""},
              {
                ButtonBox[
                  StyleBox["icrp30Model",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`icrp30Model"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qIngestion",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qIngestion"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qInhalationE",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qInhalationE"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qRandom",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qRandom"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], 
                ButtonBox[
                  StyleBox["qWholebody",
                    "Hyperlink"],
                  
                  ButtonFunction:>(
                    Internal`PutInformation[ #, LongForm -> False]&),
                  ButtonEvaluator->Automatic,
                  
                  ButtonData:>{"Info3345386290-6540952", 
                    "Biokmod`Humorap3`qWholebody"},
                  ButtonFrame->"None",
                  ButtonNote->"Biokmod`Humorap3`"], ""}
              },
            RowMinHeight->{1, 1, 1.05}]}
        },
      RowSpacings->{2, 3},
      ColumnsEqual->True]], "Print",
  CellMargins->{{20, Inherited}, {Inherited, Inherited}},
  ShowCellLabel->False,
  CellFrameMargins->{{Inherited, Inherited}, {14, 14}},
  Background->RGBColor[0.964706, 0.929412, 0.839216],
  ButtonBoxOptions->{Active->True},
  GridBoxOptions->{ColumnAlignments->{Left}}]
}, Open  ]],

Cell[BoxData[
    \(Off[General::spell1]; Off[General::spell];\)], "Input",
  CellLabel->"In[4]:="]
}, Closed]],

Cell[CellGroupData[{

Cell["Introduction ", "SubsectionIcon"],

Cell[TextData[{
  "The committed equivalent dose ",
  Cell[BoxData[
      \(TraditionalForm\`H\_T\)]],
  Cell[BoxData[
      \(TraditionalForm\`\((\[Tau])\)\)]],
  " is defined as the time integral of equivalent dose rate in a particular \
tissue or organ that will be receive by an individual following intake of \
radioactive material into the body, where \[Tau] is the integration time in \
years following the intake. Usually is taken  \[Tau] = 50 y for adult .  \n \
",
  Cell[BoxData[
      \(TraditionalForm\`H\_T\)]],
  Cell[BoxData[
      \(TraditionalForm\`\((\[Tau])\)\)]],
  " to organ or target tissue, T, as consequence of disintegrations of a \
radionuclide in a source region, S,  is   given by (S and T can be the same \
compartment)"
}], "Text"],

Cell[TextData[{
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`H\_T\)]],
  Cell[BoxData[
      \(TraditionalForm\`\((\[Tau])\)\)]],
  "= ",
  Cell[BoxData[
      \(TraditionalForm\`\[Sum]\+R U\_s\ \((\[Tau])\) \(SEE(
            T \[LeftArrow] S)\)\)]]
}], "NumberedEquation"],

Cell["where:", "Text"],

Cell[TextData[{
  Cell[BoxData[
      \(TraditionalForm\`\(U\_s\)(\[Tau])\)]],
  " = Number of transformation (Bq S) in \[Tau] year in source region S \
following an acute intake. Usually  \[Tau] = 50 y for adult ."
}], "Text"],

Cell[TextData[{
  Cell[BoxData[
      \(TraditionalForm\`\(U\_s\)(\[Tau])\)]],
  " =",
  Cell[BoxData[
      \(TraditionalForm\`\[Integral]\_0\%\[Tau]\( q(
            t)\) \[DifferentialD]t\)]],
  "\n"
}], "NumberedEquation"],

Cell[TextData[{
  Cell[BoxData[
      \(TraditionalForm\`SEE(T \[LeftArrow] S)\)]],
  " = Specific Effective Energy, equivalent dose in T per transformation in S \
following an acute intake expressed as (Sv/(Bq s))"
}], "Text"],

Cell[TextData[{
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`SEE\)]],
  Cell[BoxData[
      \(TraditionalForm\`\((T \[LeftArrow] S)\)\)]],
  "= ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(1.6\ 10\^\(-13\)\)\/m\_T\) \(\[Sum]\+R\( Y\_R\) 
            E\_R\ \ \(w\_\(\(R\)\(\ \)\)\) \(AF(T \[LeftArrow] S)\)\_R\)\)]]
}], "NumberedEquation"],

Cell[TextData[{
  "\t",
  Cell[BoxData[
      \(TraditionalForm\`Y\_R\)]],
  " = yield of radiation ",
  Cell[BoxData[
      \(TraditionalForm\`R\)]],
  " per nuclear transformation ",
  Cell[BoxData[
      \(TraditionalForm\`\((Bq\ s)\)\^\(-1\)\)]],
  "\n\t",
  Cell[BoxData[
      \(TraditionalForm\`E\_R\)]],
  " = energy of radiation ",
  Cell[BoxData[
      \(TraditionalForm\`R\)]],
  " (MeV/Transformation)\n\t",
  Cell[BoxData[
      \(TraditionalForm\`1.6\ 10\^\(-13\)\)]],
  " ",
  Cell[BoxData[
      \(TraditionalForm\`\((J\/MeV)\)\)]],
  " is used for transform MeV in J\n\t",
  Cell[BoxData[
      \(TraditionalForm\`w\_\(\(R\)\(\ \)\)\)]],
  "= radiation writhing factor for radiation R (see table 8 of ICRP 68, \
typical values are: 20 for alpha particles and 1 for photons and electrons)\n\
\t",
  Cell[BoxData[
      \(TraditionalForm\`\(AF(T \[LeftArrow] S)\)\_R\)]],
  "= absorbed fraction in T per transformation in S for radiation R\n\t",
  Cell[BoxData[
      \(TraditionalForm\`m\_T\)]],
  " = mass of target tissue, ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(T\)\(\ \)\)\)]],
  "(kg).\nWhen a nuclide forms a decay product  which itself is radioactive, \
the contribution of the decay product to the dose is evaluated using a \
similar set of equations for the decay products. It usually is assumed that \
these decay products adopted the biokinectic of their parents."
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Respiratory Tract Dose. Application U-234", "SubsectionIcon"],

Cell["\<\
The procedure for computing dose in the respiratory tract is described in \
ICRP 66. We are showing with an example for U-234 how it can be done with \
Humorap.\
\>", "Text"],

Cell["We start obtained SSE using eq. (3). ", "Text"],

Cell["\<\
The targets, sources, and mass (from ICRP 66) are the following:\
\>", "Text"],

Cell[BoxData[
    \(\({target, \ source, \ 
          mass} = {{"\<ET1\>", \ \ "\<ET2\>", \ "\<LNet\>", "\<BBbas\>", \
"\<BBsec\>", "\<bb\>", "\<AI\>", "\<LNth\>"}, \ {{"\<ET1\>"}, \
{"\<ET2(surf)\>", "\<ETseq\>"}, \ {\ "\<LNet\>"}, {"\<BB1(fast)\>", \
"\<BB2(slow)\>", "\<BBseq\>"}, {"\<BB1(fast)\>", "\<BB2(slow)\>", \
"\<BBseq\>"}, {"\<bb1(fast)\>", "\<bb2(slow)\>", "\<bbseq\>", "\<AI\>"}, \
{"\<AI\>"}, {"\<LNth\>"}}, \ {2.0\ 10^\(-5\), 0.00045, \ 0.015, \ 0.000432, \ 
            0.000865, \ 0.00195, \ 1.1, \ 0.015}\ };\)\)], "Input",
  CellLabel->"In[5]:="],

Cell[TextData[{
  "The U-234 emits a alpha particle per disintegration of 4.758 MeV. We can \
dropped the AF for gamma emissions because they are negligible. Also, the \
half-life of U-234 is to long 7.7 ",
  Cell[BoxData[
      \(TraditionalForm\`10\^4\)]],
  " y compared with the human life, this mean that we don't need to be \
account the disintegration product of  U-234.  In summary, we only need \
computed the AF values for 4.758 MeV , they  (from Tabla H.1 of ICRP 66) are \
the following:"
}], "Text"],

Cell[BoxData[
    \(\(\(\ \)\(afU234\  = \ {{0}, {0,  .142}, \ {1}, {0, 0, 
            0.123`}, {0.00965`, 0.159`, 0.0304`}, {0.238`, 0.243`, 0.114`, 
            0.000034`}, {1}, {1}};\)\)\)], "Input",
  CellLabel->"In[6]:="],

Cell[TextData[{
  "Now it is computed eq. (3) where it is applied ",
  Cell[BoxData[
      \(TraditionalForm\`w\_R\)]],
  "= 20 (because they are alpha emissions) "
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(sseU234\  = afU234*4.758*20*1.6*10\^\(-13\)/mass\)], "Input",
  CellLabel->"In[7]:="],

Cell[BoxData[
    \({{0}, {0, 4.804522666666666`*^-9}, {1.01504`*^-9}, {0, 0, 
        4.335066666666666`*^-9}, {1.698578497109827`*^-10, 
        2.798694104046243`*^-9, 
        5.350962312138729`*^-10}, {1.8583039999999997`*^-9, 1.897344`*^-9, 
        8.90112`*^-10, 
        2.6547199999999997`*^-13}, {1.3841454545454544`*^-11}, \
{1.01504`*^-9}}\)], "Output",
  CellLabel->"Out[7]="]
}, Open  ]],

Cell["Here are summarized the data", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableForm[Transpose[{target, mass, \ source, afU234, \ sseU234\ }], 
      TableHeadings \[Rule] {None, {"\<Target\>", "\<mass\>", "\<Source\>", "\
\<AF(T<-S)\>", \ "\<SSE\>"}}, \ TableSpacing -> {1, 4}]\)], "Input",
  CellLabel->"In[8]:="],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"\<\"Target\"\>", "\<\"mass\"\>", "\<\"Source\"\>", \
"\<\"AF(T<-S)\"\>", "\<\"SSE\"\>"},
          {"\<\"ET1\"\>", "0.00002`", GridBox[{
                {"\<\"ET1\"\>"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"0"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"0"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}]},
          {"\<\"ET2\"\>", "0.00045`", GridBox[{
                {"\<\"ET2(surf)\"\>"},
                {"\<\"ETseq\"\>"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"0"},
                {"0.142`"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"0"},
                {"4.804522666666666`*^-9"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}]},
          {"\<\"LNet\"\>", "0.015`", GridBox[{
                {"\<\"LNet\"\>"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"1"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"1.01504`*^-9"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}]},
          {"\<\"BBbas\"\>", "0.000432`", GridBox[{
                {"\<\"BB1(fast)\"\>"},
                {"\<\"BB2(slow)\"\>"},
                {"\<\"BBseq\"\>"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"0"},
                {"0"},
                {"0.123`"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"0"},
                {"0"},
                {"4.335066666666666`*^-9"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}]},
          {"\<\"BBsec\"\>", "0.000865`", GridBox[{
                {"\<\"BB1(fast)\"\>"},
                {"\<\"BB2(slow)\"\>"},
                {"\<\"BBseq\"\>"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"0.00965`"},
                {"0.159`"},
                {"0.0304`"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"1.698578497109827`*^-10"},
                {"2.798694104046243`*^-9"},
                {"5.350962312138729`*^-10"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}]},
          {"\<\"bb\"\>", "0.00195`", GridBox[{
                {"\<\"bb1(fast)\"\>"},
                {"\<\"bb2(slow)\"\>"},
                {"\<\"bbseq\"\>"},
                {"\<\"AI\"\>"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"0.238`"},
                {"0.243`"},
                {"0.114`"},
                {"0.000034`"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"1.8583039999999997`*^-9"},
                {"1.897344`*^-9"},
                {"8.90112`*^-10"},
                {"2.6547199999999997`*^-13"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}]},
          {"\<\"AI\"\>", "1.1`", GridBox[{
                {"\<\"AI\"\>"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"1"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"1.3841454545454544`*^-11"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}]},
          {"\<\"LNth\"\>", "0.015`", GridBox[{
                {"\<\"LNth\"\>"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"1"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], GridBox[{
                {"1.01504`*^-9"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}]}
          },
        RowSpacings->1,
        ColumnSpacings->4,
        RowAlignments->Baseline,
        ColumnAlignments->{Center}],
      TableForm[ {{"ET1", .000020000000000000002, {"ET1"}, {0}, {0}}, {
        "ET2", .00044999999999999999, {"ET2(surf)", "ETseq"}, {
        0, .14199999999999999}, {0, .4804522666666666*^-8}}, {
        "LNet", .014999999999999999, {"LNet"}, {1}, {.101504*^-8}}, {
        "BBbas", .00043199999999999998, {"BB1(fast)", "BB2(slow)", "BBseq"}, {
        0, 0, .123}, {0, 0, .43350666666666663*^-8}}, {
        "BBsec", .00086499999999999999, {"BB1(fast)", "BB2(slow)", 
        "BBseq"}, {.0096500000000000006, .159, .0304}, \
{.16985784971098269*^-9, .27986941040462429*^-8, .53509623121387287*^-9}}, {
        "bb", .0019499999999999999, {"bb1(fast)", "bb2(slow)", "bbseq", 
        "AI"}, {.23799999999999999, .24299999999999999, .114, .000034}, \
{.18583039999999997*^-8, .1897344*^-8, .89011199999999996*^-9, \
.26547199999999997*^-12}}, {"AI", 1.1000000000000001, {"AI"}, {
        1}, {.13841454545454544*^-10}}, {"LNth", .014999999999999999, {
        "LNth"}, {1}, {.101504*^-8}}}, TableHeadings -> {None, {"Target", 
        "mass", "Source", "AF(T<-S)", "SSE"}}, TableSpacing -> {1, 
        4}]]], "Output",
  CellLabel->"Out[8]//TableForm="]
}, Open  ]],

Cell["\<\
Now we need apply eq. (2) to compute the disintegrations in compartments \
{\"ET1\", \"AI\", \"bb1\", \"bb2\", \"bbseq\", \"BB1\" \"BB2\", \"BBseq\", \
\"LNth \", \"ET2\", \"ETseq\", \"LNet\"}. It applied the Humorap function \
qRT[1,AMAD5,S, t,0] that compute the compartment retention for workers \
assuming  an intake AMAD 5 and class S for an acute intake \"1\" in t = 0. It \
can be as follow\
\>", "Text"],

Cell[BoxData[
    \(\(UsRT[
          t_]\  = \({q\_ET1, q\_AI, q\_bb1, \ q\_bb2, q\_bbseq, q\_BB1, 
            q\_BB2, q\_BBseq, q\_LNth, q\_ET2, q\_ETseq, q\_LNet\ } = 
          Map[Last, 
              RespiratoryTract[3600*24, AMAD5, S, \ t1, 0, \ 
                IntakeType \[Rule] \ "\<Constant\>"]] /. 
            t1 \[Rule] 365.24  t\);\)\)], "Input",
  CellLabel->"In[9]:="],

Cell["\<\
Even,  we can computed Us for different times. ex.. 30 days, 10 year and 50 \
years\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Transpose[
        Join[{{"\<qET1\>", "\<qAI\>", "\<qbb1\>", "\<qbb2\>", "\<qbbseq\>", "\
\<qBB1\>", "\<qBB2\>", "\<qBBseq\>", "\<qLNth\>", "\<qET2\>", "\<qETseq\>", "\
\<qLNet\>"}}, Map[UsRT[#] &, \ {30/365.24, \ 10, \ 50}]]] // 
      TableForm\)], "Input",
  CellLabel->"In[10]:="],

Cell[BoxData[
    TagBox[GridBox[{
          {"\<\"qET1\"\>", "29263.64543999726`", "29263.64544`", 
            "29263.64544`"},
          {"\<\"qAI\"\>", "126044.6382273843`", "3.680047640149735`*^6", 
            "4.6219121995522855`*^6"},
          {"\<\"qbb1\"\>", "630.6056735380994`", "2255.753928481987`", 
            "2323.13953664583`"},
          {"\<\"qbb2\"\>", "7475.573096346389`", "12571.418354066625`", 
            "12571.418354066625`"},
          {"\<\"qbbseq\"\>", "172.48359601952393`", "659.8429634502845`", 
            "659.8429634502846`"},
          {"\<\"qBB1\"\>", "249.40122441866575`", "589.9401302385166`", 
            "603.4178103972375`"},
          {"\<\"qBB2\"\>", "10096.457186009802`", "16978.870454933505`", 
            "16978.870454933505`"},
          {"\<\"qBBseq\"\>", "277.64639044999626`", "1062.1474812309868`", 
            "1062.1474812309868`"},
          {"\<\"qLNth\"\>", "74.97002862219233`", "93534.65666730073`", 
            "444601.86295457726`"},
          {"\<\"qET2\"\>", "372.2706371050738`", "408.3920889054541`", 
            "409.7398625066321`"},
          {"\<\"qETseq\"\>", "508.0300342047303`", "15368.624103423484`", 
            "15650.256445315263`"},
          {"\<\"qLNet\"\>", "7.654682024556678`", "37304.963238354205`", 
            "128781.77600813472`"}
          },
        RowSpacings->1,
        ColumnSpacings->3,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      Function[ BoxForm`e$, 
        TableForm[ BoxForm`e$]]]], "Output",
  CellLabel->"Out[10]//TableForm="]
}, Open  ]],

Cell[TextData[{
  "We will need the Us for at time of 50 y grouping the compartments as it \
shown (It can be observed that ",
  Cell[BoxData[
      \({q\_BB1, q\_BB2, q\_BBseq}\)]],
  "it is copy twice to be account BB bas and BB seq)"
}], "Text"],

Cell[BoxData[
    \(\(usU234\  = \ \((UsRT[
            50]; {{q\_ET1}, {q\_ET2, q\_ETseq}, {q\_LNet}, {q\_BB1, q\_BB2, 
                q\_BBseq}, \ {q\_BB1, q\_BB2, q\_BBseq}, {q\_bb1, \ q\_bb2, 
                q\_bbseq, \ q\_AI\ }, {\ q\_AI}, {q\_LNth}\ } /. 
            t \[Rule] \ 50)\);\)\)], "Input",
  CellLabel->"In[11]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(usU234\)], "Input",
  CellLabel->"In[12]:="],

Cell[BoxData[
    \({{29263.64544`}, {409.7398625066321`, 
        15650.256445315263`}, {128781.77600813472`}, {603.4178103972375`, 
        16978.870454933505`, 1062.1474812309868`}, {603.4178103972375`, 
        16978.870454933505`, 1062.1474812309868`}, {2323.13953664583`, 
        12571.418354066625`, 659.8429634502846`, 
        4.6219121995522855`*^6}, {4.6219121995522855`*^6}, \
{444601.86295457726`}}\)], "Output",
  CellLabel->"Out[12]="]
}, Open  ]],

Cell[BoxData[
    \(\(\(\ \)\(doseEq\  = \ \ Map[Plus @@ # &, 
          sseU234\ \ \ \ usU234]\ ;\)\)\)], "Input",
  CellLabel->"In[13]:="],

Cell["\<\
Here is evaluated the weighted equivalent dose (wT are obtained from Table 10 \
of ICRP 66)\
\>", "Text"],

Cell[BoxData[
    \(\(wT = \ {0.001, 
          0.999,  .001,  .1665,  .1665,  .333,  .333,  .001};\)\)], "Input",
  CellLabel->"In[14]:="],

Cell[BoxData[
    \(\(doseH\  = \ doseEq\ wT;\)\)], "Input",
  CellLabel->"In[15]:="],

Cell["\<\
Here is summed the dose for compartments of Extrathoracic (ET1, ET2 and LNet) \
and for  Lungs or thoracic region (BB, bb, AI, LNth).\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \({totalExtraThoracic, totalThoracic}\  = {Plus @@ Drop[doseH, \(-5\)], 
        Plus @@ Drop[doseH, 3]}\)], "Input",
  CellLabel->"In[16]:="],

Cell[BoxData[
    \({0.0000752475384727519`, 0.00004052940720115909`}\)], "Output",
  CellLabel->"Out[16]="]
}, Open  ]],

Cell["Finally here are summarized the data", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableForm[
      Append[Append[
          Transpose[{target, sseU234, doseEq, wT, 
              doseH}], {"\<ExtraThoracic \>", "\<tissues\>", "\<Total\>", \
"\<(Sv/Bq)\>", 
            totalExtraThoracic}], {"\<Thoracic \>", "\<tissues\>", \
"\<Total\>", "\<(Sv/Bq)\>", totalThoracic}], 
      TableHeadings \[Rule] {None, {"\<Target\>", "\<SSE(T<-S)\>", \
"\<DoseEq\>", "\<wT\>", \*"\"\<\!\(H\_T\)(Sv)\>\""}}, 
      TableSpacing \[Rule] {1, 1}]\)], "Input",
  CellLabel->"In[17]:="],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"\<\"Target\"\>", "\<\"SSE(T<-S)\"\>", "\<\"DoseEq\"\>", "\<\"wT\"\
\>", "\<\"\\!\\(H\\_T\\)(Sv)\"\>"},
          {"\<\"ET1\"\>", GridBox[{
                {"0"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], "0", "0.001`", "0"},
          {"\<\"ET2\"\>", GridBox[{
                {"0"},
                {"4.804522666666666`*^-9"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], "0.00007519201183066326`", "0.999`", 
            "0.0000751168198188326`"},
          {"\<\"LNet\"\>", GridBox[{
                {"1.01504`*^-9"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], "0.00013071865391929707`", "0.001`", 
            "1.3071865391929707`*^-7"},
          {"\<\"BBbas\"\>", GridBox[{
                {"0"},
                {"0"},
                {"4.335066666666666`*^-9"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], "4.6044801409684095`*^-6", "0.1665`",
             "7.666459434712402`*^-7"},
          {"\<\"BBsec\"\>", GridBox[{
                {"1.698578497109827`*^-10"},
                {"2.798694104046243`*^-9"},
                {"5.350962312138729`*^-10"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], "0.00004818951100153875`", "0.1665`",
             "8.023553581756201`*^-6"},
          {"\<\"bb\"\>", GridBox[{
                {"1.8583039999999997`*^-9"},
                {"1.897344`*^-9"},
                {"8.90112`*^-10"},
                {"2.6547199999999997`*^-13"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], "0.000029983727094407483`", "0.333`",
             "9.984581122437692`*^-6"},
          {"\<\"AI\"\>", GridBox[{
                {"1.3841454545454544`*^-11"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], "0.00006397398762318479`", "0.333`", 
            "0.000021303337878520538`"},
          {"\<\"LNth\"\>", GridBox[{
                {"1.01504`*^-9"}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}], "0.0004512886749734141`", "0.001`", 
            "4.5128867497341415`*^-7"},
          {"\<\"ExtraThoracic \"\>", "\<\"tissues\"\>", "\<\"Total\"\>", \
"\<\"(Sv/Bq)\"\>", "0.0000752475384727519`"},
          {"\<\"Thoracic \"\>", "\<\"tissues\"\>", "\<\"Total\"\>", \
"\<\"(Sv/Bq)\"\>", "0.00004052940720115909`"}
          },
        RowSpacings->1,
        ColumnSpacings->1,
        RowAlignments->Baseline,
        ColumnAlignments->{Center}],
      TableForm[ {{"ET1", {0}, 0, .001, 0}, {"ET2", {
        0, .4804522666666666*^-8}, .000075192011830663261, .999, \
.000075116819818832602}, {
        "LNet", {.101504*^-8}, .00013071865391929707, .001, \
.13071865391929707*^-6}, {"BBbas", {0, 
        0, .43350666666666663*^-8}, .46044801409684095*^-5, \
.16650000000000001, .76664594347124022*^-6}, {
        "BBsec", {.16985784971098269*^-9, .27986941040462429*^-8, \
.53509623121387287*^-9}, .000048189511001538747, .16650000000000001, \
.80235535817562012*^-5}, {
        "bb", {.18583039999999997*^-8, .1897344*^-8, .89011199999999996*^-9, \
.26547199999999997*^-12}, .000029983727094407483, .33300000000000002, \
.99845811224376916*^-5}, {
        "AI", {.13841454545454544*^-10}, .000063973987623184791, \
.33300000000000002, .000021303337878520538}, {
        "LNth", {.101504*^-8}, .00045128867497341412, .001, \
.45128867497341415*^-6}, {"ExtraThoracic ", "tissues", "Total", 
        "(Sv/Bq)", .000075247538472751895}, {"Thoracic ", "tissues", "Total", 
        "(Sv/Bq)", .000040529407201159088}}, TableHeadings -> {None, {
        "Target", "SSE(T<-S)", "DoseEq", "wT", "\!\(H\_T\)(Sv)"}}, 
        TableSpacing -> {1, 1}]]], "Output",
  CellLabel->"Out[17]//TableForm="]
}, Open  ]],

Cell[BoxData[
    \(Clear[target, \ source, \ mass, sseU234, UsRT, \ usU234, \ \ doseEq, \ 
      totalExtraThoracic, \ totalThoracic\ ]\)], "Input",
  CellLabel->"In[18]:="]
}, Closed]],

Cell[CellGroupData[{

Cell["All body Dose. Application U-238; U-235;U-234", "SubsectionIcon"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Needs["\<Biokmod`Biokdata`\>"]\)], "Input",
  CellLabel->"In[19]:="],

Cell[BoxData[
    \("Biokdata 1.2.2 2004-09-3 (Lite version. The full version includes all \
ICRP models)"\)], "Print",
  CellLabel->"From In[19]:="]
}, Open  ]],

Cell["\<\
Here is obtained the dose conversion factors (DCF) of uranium -238  for \
workers assuming  an intake AMAD 5 and class S, f1 = 0.002.  \
\>", "Text"],

Cell[TextData[{
  "Also the respiratory tract we will need to include the rest of uranium \
compartments. The retention in uranium compartments can be obtained using the \
Humorap function ",
  StyleBox["qInhalation[uraniumMatrix,1,AMAD5,S,0.002,t,0].", "Input"],
  "\nThe compartment are numerated as follow"
}], "Text"],

Cell["\<\
{{1,\"Plasma\"},{2,\"RBC\"},{3,\"ST0\"},{4,\"ST1\"},{5,\"ST2\"},{6,\"Liver1\"}\
,
{7, \"Liver2\"},{8,\"UrinaryPath\"},{9,\"OtherKidney\"},
{10, \"TrabecularSurface\"},{11,\"ExchTrabVol\"},{12,\"NonExchTrabVol\"},
{13, \"CorticalSurf\"},{14,\"CorticalVolExch\"},{15,\"CorticalVolNonExch\"},
{16, \"Bladder\"},{17,\"Urine\"}, {18,\"ULI\"},{19,\"LLI\"}, \
{20,\"FEC\"},{21,\"SI\"},{22,\"ST\"} }

Legend = RBC = RedBloodCell; STi = SoftTissues;
In this example is assumed that the SSE values are known -This mean that we \
can drop eq. (3)- .Here are their values\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableForm[SSEU238 // N, \ 
      TableHeadings \[Rule] {None, {"\<T/S->\>", "\<ET1\>", "\<AI\>", \
"\<bb1\>", "\<bb2\>", "\<bbseq\>", "\<BB1\>", "\<BB2\>", "\<BBseq\>", "\<LNth\
\>", "\<ET2\>", "\<ETseq\>", "\<LNet\>", "\<Plasma(1,2)\>", \
"\<SoftTissues(3,4,5)\>", "\<Liver(6,7)\>", "\<OtherKidney(9)\>", \
"\<TrabecularSurface (10)\>", "\<TrabVol (11,12)\>", "\<CorticalSurf(13)\>", \
"\<CorticalVol(14,15)\>", "\<Bladder(16)\>", "\<ULI(18)\>", "\<LLI(19)\>", \
"\<SI(21)\>", "\<ST(22)\>"}}]\)], "Input",
  CellLabel->"In[20]:="],

Cell[BoxData[
    TagBox[GridBox[{
          {"\<\"T/S->\"\>", "\<\"ET1\"\>", "\<\"AI\"\>", "\<\"bb1\"\>", \
"\<\"bb2\"\>", "\<\"bbseq\"\>", "\<\"BB1\"\>", "\<\"BB2\"\>", \
"\<\"BBseq\"\>", "\<\"LNth\"\>", "\<\"ET2\"\>", "\<\"ETseq\"\>", \
"\<\"LNet\"\>", "\<\"Plasma(1,2)\"\>", "\<\"SoftTissues(3,4,5)\"\>", \
"\<\"Liver(6,7)\"\>", "\<\"OtherKidney(9)\"\>", "\<\"TrabecularSurface (10)\"\
\>", "\<\"TrabVol (11,12)\"\>", "\<\"CorticalSurf(13)\"\>", \
"\<\"CorticalVol(14,15)\"\>", "\<\"Bladder(16)\"\>", "\<\"ULI(18)\"\>", \
"\<\"LLI(19)\"\>", "\<\"SI(21)\"\>", "\<\"ST(22)\"\>"},
          {"\<\"Colon\"\>", "3.43`*^-19", "2.84`*^-18", "2.84`*^-18", 
            "2.84`*^-18", "2.84`*^-18", "2.84`*^-18", "2.84`*^-18", 
            "2.84`*^-18", "2.84`*^-18", "3.43`*^-19", "3.43`*^-19", 
            "3.43`*^-19", "2.`*^-13", "2.16`*^-13", "2.17`*^-17", 
            "2.6000000000000003`*^-17", "3.42`*^-17", "3.42`*^-17", 
            "1.19`*^-17", "1.19`*^-17", "6.28`*^-17", "3.59`*^-13", 
            "1.77`*^-13", "2.51`*^-16", "3.6400000000000004`*^-17"},
          {"\<\"Oesophagus\"\>", "3.1600000000000004`*^-17", "5.58`*^-17", 
            "5.58`*^-17", "5.58`*^-17", "5.58`*^-17", "5.58`*^-17", 
            "5.58`*^-17", "5.58`*^-17", "5.58`*^-17", 
            "3.1600000000000004`*^-17", "3.1600000000000004`*^-17", 
            "3.1600000000000004`*^-17", "2.`*^-13", "2.16`*^-13", 
            "1.2000000000000001`*^-17", "4.2300000000000006`*^-18", 
            "1.74`*^-17", "1.74`*^-17", "1.01`*^-17", "1.01`*^-17", 
            "4.93`*^-19", "1.74`*^-18", "8.5`*^-19", "1.41`*^-18", 
            "8.68`*^-18"},
          {"\<\"St Wall\"\>", "1.42`*^-18", "2.32`*^-17", "2.32`*^-17", 
            "2.32`*^-17", "2.32`*^-17", "2.32`*^-17", "2.32`*^-17", 
            "2.32`*^-17", "2.32`*^-17", "1.42`*^-18", "1.42`*^-18", 
            "1.42`*^-18", "2.`*^-13", "2.16`*^-13", "2.82`*^-17", 
            "4.8300000000000003`*^-17", "1.56`*^-17", "1.56`*^-17", 
            "7.74`*^-18", "7.74`*^-18", "4.7000000000000004`*^-18", 
            "5.71`*^-17", "2.4500000000000004`*^-17", "4.13`*^-17", 
            "5.55`*^-13"},
          {"\<\"Testes\"\>", "2.18`*^-19", "1.6000000000000002`*^-18", 
            "1.6000000000000002`*^-18", "1.6000000000000002`*^-18", 
            "1.6000000000000002`*^-18", "1.6000000000000002`*^-18", 
            "1.6000000000000002`*^-18", "1.6000000000000002`*^-18", 
            "1.6000000000000002`*^-18", "2.18`*^-19", "2.18`*^-19", 
            "2.18`*^-19", "2.`*^-13", "2.16`*^-13", "7.84`*^-18", 
            "1.3700000000000003`*^-17", "4.`*^-17", "4.`*^-17", "1.24`*^-17", 
            "1.24`*^-17", "9.77`*^-17", "1.59`*^-16", "2.82`*^-16", 
            "1.8799999999999997`*^-16", "1.16`*^-17"},
          {"\<\"Liver\"\>", "2.17`*^-18", "4.04`*^-17", "4.04`*^-17", 
            "4.04`*^-17", "4.04`*^-17", "4.04`*^-17", "4.04`*^-17", 
            "4.04`*^-17", "4.04`*^-17", "2.17`*^-18", "2.17`*^-18", 
            "2.17`*^-18", "2.`*^-13", "2.16`*^-13", "5.89`*^-12", 
            "5.38`*^-17", "1.7300000000000002`*^-17", 
            "1.7300000000000002`*^-17", "9.680000000000001`*^-18", 
            "9.680000000000001`*^-18", "3.1300000000000003`*^-18", 
            "3.69`*^-17", "4.3800000000000006`*^-18", "2.23`*^-17", 
            "2.78`*^-17"},
          {"\<\"Red Marrow\"\>", "1.54`*^-17", "2.2200000000000002`*^-17", 
            "2.2200000000000002`*^-17", "2.2200000000000002`*^-17", 
            "2.2200000000000002`*^-17", "2.2200000000000002`*^-17", 
            "2.2200000000000002`*^-17", "2.2200000000000002`*^-17", 
            "2.2200000000000002`*^-17", "1.54`*^-17", "1.54`*^-17", 
            "1.54`*^-17", "2.`*^-13", "2.16`*^-13", "1.68`*^-17", 
            "3.35`*^-17", "4.52`*^-12", "4.81`*^-13", "5.06`*^-17", 
            "5.06`*^-17", "1.5`*^-17", "2.73`*^-17", "4.09`*^-17", 
            "3.42`*^-17", "1.48`*^-17"},
          {"\<\"Skin\"\>", "9.810000000000001`*^-18", "8.87`*^-18", 
            "8.87`*^-18", "8.87`*^-18", "8.87`*^-18", "8.87`*^-18", 
            "8.87`*^-18", "8.87`*^-18", "8.87`*^-18", 
            "9.810000000000001`*^-18", "9.810000000000001`*^-18", 
            "9.810000000000001`*^-18", "2.`*^-13", "2.16`*^-13", "8.53`*^-18",
             "9.130000000000001`*^-18", "9.93`*^-18", "9.93`*^-18", 
            "1.15`*^-17", "1.15`*^-17", "8.83`*^-18", "7.07`*^-18", 
            "7.990000000000001`*^-18", "6.85`*^-18", "7.89`*^-18"},
          {"\<\"Lungs\"\>", "1.7300000000000002`*^-17", "4.25`*^-12", 
            "5.44`*^-10", "5.53`*^-10", "2.59`*^-10", "1.19`*^-10", 
            "3.01`*^-10", "4.77`*^-10", "9.36`*^-13", 
            "1.7300000000000002`*^-17", "1.7300000000000002`*^-17", 
            "1.7300000000000002`*^-17", "2.`*^-13", "2.16`*^-13", 
            "4.12`*^-17", "1.39`*^-17", "2.2500000000000002`*^-17", 
            "2.2500000000000002`*^-17", "1.38`*^-17", "1.38`*^-17", 
            "5.0899999999999995`*^-19", "4.17`*^-18", "1.44`*^-18", 
            "3.55`*^-18", "2.21`*^-17"},
          {"\<\"Remainder\"\>", "5.13`*^-14", "1.84`*^-17", "1.84`*^-17", 
            "1.84`*^-17", "1.84`*^-17", "1.84`*^-17", "1.84`*^-17", 
            "1.84`*^-17", "1.84`*^-17", "1.23`*^-12", "2.07`*^-9", 
            "4.7`*^-13", "2.`*^-13", "2.16`*^-13", "9.060000000000001`*^-18", 
            "2.24`*^-13", "1.7300000000000002`*^-17", 
            "1.7300000000000002`*^-17", "1.57`*^-17", "1.57`*^-17", 
            "1.3000000000000002`*^-17", "1.3100000000000001`*^-17", 
            "1.3200000000000002`*^-17", "3.6200000000000004`*^-15", 
            "1.14`*^-17"},
          {"\<\"Bone Surface\"\>", "3.34`*^-17", "2.99`*^-17", "2.99`*^-17", 
            "2.99`*^-17", "2.99`*^-17", "2.99`*^-17", "2.99`*^-17", 
            "2.99`*^-17", "2.99`*^-17", "3.34`*^-17", "3.34`*^-17", 
            "3.34`*^-17", "2.`*^-13", "1.08`*^-13", "2.06`*^-17", 
            "2.69`*^-17", "2.8`*^-11", "2.82`*^-12", "2.8`*^-11", 
            "1.14`*^-12", "1.5`*^-17", "2.`*^-17", "3.15`*^-17", "2.38`*^-17",
             "1.5900000000000003`*^-17"},
          {"\<\"Thyroid\"\>", "2.6500000000000002`*^-17", "1.71`*^-17", 
            "1.71`*^-17", "1.71`*^-17", "1.71`*^-17", "1.71`*^-17", 
            "1.71`*^-17", "1.71`*^-17", "1.71`*^-17", 
            "2.6500000000000002`*^-17", "2.6500000000000002`*^-17", 
            "2.6500000000000002`*^-17", "2.`*^-13", "2.16`*^-13", 
            "2.17`*^-18", "1.19`*^-18", "1.5200000000000002`*^-17", 
            "1.5200000000000002`*^-17", "1.57`*^-17", 
            "1.5700000000000001`*^-18", "1.26`*^-19", "4.6`*^-19", 
            "2.1499999999999999`*^-19", "2.6299999999999997`*^-19", 
            "1.13`*^-18"},
          {"\<\"Bladder Wall\"\>", "1.26`*^-19", "6.47`*^-19", "6.47`*^-19", 
            "6.47`*^-19", "6.47`*^-19", "6.47`*^-19", "6.47`*^-19", 
            "6.47`*^-19", "6.47`*^-19", "1.26`*^-19", "1.26`*^-19", 
            "1.26`*^-19", "2.`*^-13", "2.16`*^-13", "3.31`*^-18", 
            "4.8300000000000005`*^-18", "1.5900000000000003`*^-17", 
            "1.5900000000000003`*^-17", "7.4`*^-18", "7.4`*^-18", 
            "1.16`*^-12", "2.93`*^-17", "9.130000000000001`*^-17", 
            "3.89`*^-17", "4.59`*^-18"}
          },
        RowSpacings->1,
        ColumnSpacings->3,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      Function[ BoxForm`e$, 
        TableForm[ 
        BoxForm`e$, TableHeadings -> {None, {"T/S->", "ET1", "AI", "bb1", 
          "bb2", "bbseq", "BB1", "BB2", "BBseq", "LNth", "ET2", "ETseq", 
          "LNet", "Plasma(1,2)", "SoftTissues(3,4,5)", "Liver(6,7)", 
          "OtherKidney(9)", "TrabecularSurface (10)", "TrabVol (11,12)", 
          "CorticalSurf(13)", "CorticalVol(14,15)", "Bladder(16)", "ULI(18)", 
          "LLI(19)", "SI(21)", "ST(22)"}}]]]], "Output",
  CellLabel->"Out[20]//TableForm="]
}, Open  ]],

Cell["\<\
Here are separated the target organ names and the SSE  numeric values for a \
later computations\
\>", "Text"],

Cell[BoxData[
    \(\({headT, \ sseUranium}\  = {Take[Transpose[SSEU238], 1], 
          Drop[Transpose[SSEU238], 1]};\)\)], "Input",
  CellLabel->"In[21]:="],

Cell["\<\
The second step is evaluate the disintegration Us (eq. (2))in each uranium \
compartment during at time of 50 year. . \
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(UsUraniumTotal\  = \({q\_ET1[t], q\_AI[t], q\_bb1[t], \ q\_bb2[t], 
            q\_bbseq[t], q\_BB1[t], \ q\_BB2[t], \ q\_BBseq[t], q\_LNth[t], \ 
            q\_ET2[t], \ q\_ETseq[t], \ \ q\_LNet[t], qB[t] + \ q\_2[t], \ 
            q\_3[t] + q\_4[t] + q\_5[t], q\_6[t] + q\_7[t], q\_9[t], 
            q\_10[t], \ q\_11[t] + \ q\_12[t], \ q\_13[t], 
            q\_14[t] + \ q\_15[t], \ q\_16[t], qULI[t], \ qLLI[t], qSI[t], 
            qST[t]} /. 
          BiokdataReport[
            uranium, "\<Inhalation\>", \ "\<Acute\>", "\<Disintegrations\>", \
\ 1, \ AMAD5, S, \ 0.002, t, 0]\) /. t -> \ 50*365.24\)], "Input",
  CellLabel->"In[22]:="],

Cell[BoxData[
    \({29263.64544`, 4.6219121995522855`*^6, 2323.13953664583`, 
      12571.418354066625`, 659.8429634502846`, 603.4178103972375`, 
      16978.870454933505`, 1062.1474812309868`, 444601.86295457726`, 
      409.7398625066321`, 15650.256445315263`, 128781.77600813472`, 
      51.45402848185929`, 35242.06933999259`, 4289.68467626933`, 
      925.7494986755754`, 771.043335530023`, 29728.71085762329`, 
      613.8875968488933`, 96711.38665081268`, 46.702347719972884`, 
      22719.601443892392`, 40895.32509472825`, 6815.339684440748`, 
      1707.2494256765385`}\)], "Output",
  CellLabel->"Out[22]="]
}, Open  ]],

Cell["\<\
The identicacion number of each compartment can be obtaines as usual\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(CompartNumbers[uranium]\)], "Input",
  CellLabel->"In[23]:="],

Cell[BoxData[
    TagBox[GridBox[{
          {"1", "\<\"Plasma\"\>"},
          {"2", "\<\"RBC\"\>"},
          {"3", "\<\"ST0\"\>"},
          {"4", "\<\"ST1\"\>"},
          {"5", "\<\"ST2\"\>"},
          {"6", "\<\"Liver1\"\>"},
          {"7", "\<\"Liver2\"\>"},
          {"8", "\<\"UrinaryPath\"\>"},
          {"9", "\<\"OtherKidney\"\>"},
          {"10", "\<\"TrabecularSurface\"\>"},
          {"11", "\<\"ExchTrabVol\"\>"},
          {"12", "\<\"NonExchTrabVol\"\>"},
          {"13", "\<\"CorticalSurf\"\>"},
          {"14", "\<\"CorticalVolExch\"\>"},
          {"15", "\<\"CorticalVolNonExch\"\>"},
          {"16", "\<\"Bladder\"\>"},
          {"17", "\<\"Urine\"\>"},
          {"18", "\<\"ULI\"\>"},
          {"19", "\<\"LLI\"\>"},
          {"20", "\<\"FEC\"\>"},
          {"21", "\<\"SI\"\>"},
          {"22", "\<\"ST\"\>"}
          },
        RowSpacings->1,
        ColumnSpacings->3,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      Function[ BoxForm`e$, 
        TableForm[ BoxForm`e$]]]], "Output",
  CellLabel->"Out[23]//TableForm="]
}, Open  ]],

Cell["Finally we show the DCF for the targets selected .", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableForm[
      Transpose[{headT[\([1]\)], \ Dot[UsUraniumTotal, sseUranium]}], 
      TableHeadings \[Rule] {None, {"\<Target\>", \ "\<Sv/Bq\>"}}]\)], "Input",\

  CellLabel->"In[24]:="],

Cell[BoxData[
    TagBox[GridBox[{
          {"\<\"Target\"\>", "\<\"Sv/Bq\"\>"},
          {"\<\"Colon\"\>", "2.3036027131099515`*^-8"},
          {"\<\"Oesophagus\"\>", "7.91436711194649`*^-9"},
          {"\<\"St Wall\"\>", "8.692660677671775`*^-9"},
          {"\<\"Testes\"\>", "7.64970056529848`*^-9"},
          {"\<\"Liver\"\>", "3.3098003760571424`*^-8"},
          {"\<\"Red Marrow\"\>", "2.5530700286588323`*^-8"},
          {"\<\"Skin\"\>", "7.671544175900491`*^-9"},
          {"\<\"Lungs\"\>", "0.00003414267487633143`"},
          {"\<\"Remainder\"\>", "0.00003246651490391815`"},
          {"\<\"Bone Surface\"\>", "2.3684081815390652`*^-7"},
          {"\<\"Thyroid\"\>", "7.715072219735987`*^-9"},
          {"\<\"Bladder Wall\"\>", "7.685970808857803`*^-9"}
          },
        RowSpacings->1,
        ColumnSpacings->3,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      Function[ BoxForm`e$, 
        TableForm[ 
        BoxForm`e$, TableHeadings -> {None, {"Target", "Sv/Bq"}}]]]], "Output",\

  CellLabel->"Out[24]//TableForm="]
}, Open  ]],

Cell["The same method is applied for U-235 and U-234", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableForm[SSEU235 // N, \ 
      TableHeadings \[Rule] {None, {"\<T/S->\>", "\<ET1\>", "\<AI\>", \
"\<bb1\>", "\<bb2\>", "\<bbseq\>", "\<BB1\>", "\<BB2\>", "\<BBseq\>", "\<LNth\
\>", "\<ET2\>", "\<ETseq\>", "\<LNet\>", "\<Plasma(1,2)\>", \
"\<SoftTissues(3,4,5)\>", "\<Liver(6,7)\>", "\<OtherKidney(9)\>", \
"\<TrabecularSurface (10)\>", "\<TrabVol (11,12)\>", "\<CorticalSurf(13)\>", \
"\<CorticalVol(14,15)\>", "\<Bladder(16)\>", "\<ULI(18)\>", "\<LLI(19)\>", \
"\<SI(21)\>", "\<ST(22)\>"}}]\)], "Input",
  CellLabel->"In[25]:="],

Cell[BoxData[
    TagBox[GridBox[{
          {"\<\"T/S->\"\>", "\<\"ET1\"\>", "\<\"AI\"\>", "\<\"bb1\"\>", \
"\<\"bb2\"\>", "\<\"bbseq\"\>", "\<\"BB1\"\>", "\<\"BB2\"\>", \
"\<\"BBseq\"\>", "\<\"LNth\"\>", "\<\"ET2\"\>", "\<\"ETseq\"\>", \
"\<\"LNet\"\>", "\<\"Plasma(1,2)\"\>", "\<\"SoftTissues(3,4,5)\"\>", \
"\<\"Liver(6,7)\"\>", "\<\"OtherKidney(9)\"\>", "\<\"TrabecularSurface (10)\"\
\>", "\<\"TrabVol (11,12)\"\>", "\<\"CorticalSurf(13)\"\>", \
"\<\"CorticalVol(14,15)\"\>", "\<\"Bladder(16)\"\>", "\<\"ULI(18)\"\>", \
"\<\"LLI(19)\"\>", "\<\"SI(21)\"\>", "\<\"ST(22)\"\>"},
          {"\<\"Colon\"\>", "8.57`*^-19", "1.57`*^-17", "1.57`*^-17", 
            "1.57`*^-17", "1.57`*^-17", "1.57`*^-17", "1.57`*^-17", 
            "1.57`*^-17", "1.57`*^-17", "8.57`*^-19", "8.57`*^-19", 
            "8.57`*^-19", "2.09`*^-13", "2.25`*^-13", "1.45`*^-16", 
            "1.8799999999999997`*^-16", "2.33`*^-16", "2.33`*^-16", 
            "7.950000000000001`*^-17", "7.950000000000001`*^-17", 
            "4.41`*^-16", "2.31`*^-13", "2.83`*^-13", "1.64`*^-15", 
            "2.42`*^-16"},
          {"\<\"Oesophagus\"\>", "2.0299999999999997`*^-16", "3.74`*^-16", 
            "3.74`*^-16", "3.74`*^-16", "3.74`*^-16", "3.74`*^-16", 
            "3.74`*^-16", "3.74`*^-16", "3.74`*^-16", 
            "2.0299999999999997`*^-16", "2.0299999999999997`*^-16", 
            "2.0299999999999997`*^-16", "2.09`*^-13", "2.25`*^-13", 
            "7.66`*^-17", "2.4300000000000005`*^-17", 
            "1.1200000000000002`*^-16", "1.1200000000000002`*^-16", 
            "6.440000000000001`*^-17", "6.440000000000001`*^-17", 
            "1.3100000000000002`*^-18", "8.220000000000001`*^-18", 
            "3.0700000000000002`*^-18", "7.02`*^-18", 
            "4.900000000000001`*^-17"},
          {"\<\"St Wall\"\>", "5.92`*^-18", "1.5400000000000001`*^-16", 
            "1.5400000000000001`*^-16", "1.5400000000000001`*^-16", 
            "1.5400000000000001`*^-16", "1.5400000000000001`*^-16", 
            "1.5400000000000001`*^-16", "1.5400000000000001`*^-16", 
            "1.5400000000000001`*^-16", "5.92`*^-18", "5.92`*^-18", 
            "5.92`*^-18", "2.09`*^-13", "2.25`*^-13", 
            "1.8799999999999997`*^-16", "3.21`*^-16", "1.08`*^-16", 
            "1.08`*^-16", "5.2100000000000005`*^-17", 
            "5.2100000000000005`*^-17", "2.8`*^-17", "3.79`*^-16", 
            "1.61`*^-16", "2.79`*^-16", "3.57`*^-13"},
          {"\<\"Testes\"\>", "4.0099999999999998`*^-19", "8.18`*^-18", 
            "8.18`*^-18", "8.18`*^-18", "8.18`*^-18", "8.18`*^-18", 
            "8.18`*^-18", "8.18`*^-18", "8.18`*^-18", 
            "4.0099999999999998`*^-19", "4.0099999999999998`*^-19", 
            "4.0099999999999998`*^-19", "2.09`*^-13", "2.25`*^-13", 
            "4.900000000000001`*^-17", "9.01`*^-17", 
            "2.7599999999999995`*^-16", "2.7599999999999995`*^-16", 
            "8.460000000000001`*^-17", "8.460000000000001`*^-17", 
            "6.83`*^-16", "1.06`*^-15", "1.83`*^-15", 
            "1.2700000000000001`*^-15", "7.27`*^-17"},
          {"\<\"Liver\"\>", "1.2200000000000001`*^-17", "2.74`*^-16", 
            "2.74`*^-16", "2.74`*^-16", "2.74`*^-16", "2.74`*^-16", 
            "2.74`*^-16", "2.74`*^-16", "2.74`*^-16", 
            "1.2200000000000001`*^-17", "1.2200000000000001`*^-17", 
            "1.2200000000000001`*^-17", "2.09`*^-13", "2.25`*^-13", 
            "6.26`*^-12", "3.79`*^-16", "1.1599999999999999`*^-16", 
            "1.1599999999999999`*^-16", "6.3`*^-17", "6.3`*^-17", 
            "1.63`*^-17", "2.4`*^-16", "2.3700000000000002`*^-17", 
            "1.5`*^-16", "1.87`*^-16"},
          {"\<\"Mama\"\>", "3.91`*^-17", "3.04`*^-16", "3.04`*^-16", 
            "3.04`*^-16", "3.04`*^-16", "3.04`*^-16", "3.04`*^-16", 
            "3.04`*^-16", "3.04`*^-16", "3.91`*^-17", "3.91`*^-17", 
            "3.91`*^-17", "2.09`*^-13", "2.25`*^-13", "8.93`*^-17", 
            "2.7000000000000004`*^-17", "7.15`*^-17", "7.15`*^-17", 
            "4.1600000000000007`*^-17", "4.1600000000000007`*^-17", 
            "2.08`*^-18", "1.15`*^-17", "3.46`*^-18", 
            "1.0400000000000002`*^-17", "7.340000000000001`*^-17"},
          {"\<\"Red Marrow\"\>", "1.02`*^-16", "1.4599999999999998`*^-16", 
            "1.4599999999999998`*^-16", "1.4599999999999998`*^-16", 
            "1.4599999999999998`*^-16", "1.4599999999999998`*^-16", 
            "1.4599999999999998`*^-16", "1.4599999999999998`*^-16", 
            "1.4599999999999998`*^-16", "1.02`*^-16", "1.02`*^-16", 
            "1.02`*^-16", "2.09`*^-13", "2.25`*^-13", 
            "1.0900000000000001`*^-16", "2.2599999999999997`*^-16", 
            "4.71`*^-12", "4.78`*^-13", "3.22`*^-16", "3.22`*^-16", 
            "1.03`*^-16", "1.85`*^-16", "2.77`*^-16", "2.31`*^-16", 
            "9.780000000000001`*^-17"},
          {"\<\"Skin\"\>", "5.93`*^-17", "5.35`*^-17", "5.35`*^-17", 
            "5.35`*^-17", "5.35`*^-17", "5.35`*^-17", "5.35`*^-17", 
            "5.35`*^-17", "5.35`*^-17", "5.93`*^-17", "5.93`*^-17", 
            "5.93`*^-17", "2.09`*^-13", "2.25`*^-13", 
            "4.780000000000001`*^-17", "5.280000000000001`*^-17", 
            "5.85`*^-17", "5.85`*^-17", "6.63`*^-17", "6.63`*^-17", 
            "5.3200000000000007`*^-17", "4.2300000000000004`*^-17", 
            "4.7000000000000006`*^-17", "3.950000000000001`*^-17", 
            "4.6100000000000006`*^-17"},
          {"\<\"Lungs\"\>", "1.11`*^-16", "4.38`*^-12", "5.76`*^-10", 
            "5.86`*^-10", "2.75`*^-10", "1.69`*^-10", "3.61`*^-10", 
            "5.95`*^-10", "9.65`*^-13", "1.11`*^-16", "1.11`*^-16", 
            "1.11`*^-16", "2.09`*^-13", "2.25`*^-13", "2.77`*^-16", 
            "8.59`*^-17", "1.45`*^-16", "1.45`*^-16", 
            "8.760000000000001`*^-17", "8.760000000000001`*^-17", 
            "1.5200000000000002`*^-18", "2.26`*^-17", "6.6`*^-18", 
            "1.8000000000000003`*^-17", "1.3999999999999998`*^-16"},
          {"\<\"Remainder\"\>", "8.42`*^-14", "1.2`*^-16", "1.2`*^-16", 
            "1.2`*^-16", "1.2`*^-16", "1.2`*^-16", "1.2`*^-16", "1.2`*^-16", 
            "1.2`*^-16", "7.33`*^-13", "2.2`*^-9", "5.37`*^-13", "2.09`*^-13",
             "2.25`*^-13", "5.79`*^-17", "2.34`*^-13", 
            "1.1299999999999999`*^-16", "1.1299999999999999`*^-16", 
            "1.01`*^-16", "1.01`*^-16", "8.51`*^-17", "8.62`*^-17", 
            "8.740000000000001`*^-17", "2.3700000000000003`*^-15", 
            "7.33`*^-17"},
          {"\<\"Bone Surface\"\>", "2.29`*^-16", "2.`*^-16", "2.`*^-16", 
            "2.`*^-16", "2.`*^-16", "2.`*^-16", "2.`*^-16", "2.`*^-16", 
            "2.`*^-16", "2.29`*^-16", "2.29`*^-16", "2.29`*^-16", 
            "2.09`*^-13", "1.13`*^-13", "1.4599999999999998`*^-16", 
            "1.89`*^-16", "2.94`*^-11", "2.94`*^-12", "2.94`*^-11", 
            "1.18`*^-12", "1.1899999999999999`*^-16", 
            "1.4599999999999998`*^-16", "2.1800000000000002`*^-16", 
            "1.7199999999999998`*^-16", "1.18`*^-16"},
          {"\<\"Thyroid\"\>", "1.76`*^-16", "1.11`*^-16", "1.11`*^-16", 
            "1.11`*^-16", "1.11`*^-16", "1.11`*^-16", "1.11`*^-16", 
            "1.11`*^-16", "1.11`*^-16", "1.76`*^-16", "1.76`*^-16", 
            "1.76`*^-16", "2.09`*^-13", "2.25`*^-13", 
            "1.2200000000000001`*^-17", "4.900000000000001`*^-18", 
            "9.880000000000001`*^-17", "9.880000000000001`*^-17", 
            "9.980000000000001`*^-17", "9.980000000000001`*^-17", 
            "1.71`*^-19", "1.2400000000000001`*^-18", "4.28`*^-19", 
            "7.27`*^-19", "4.04`*^-18"},
          {"\<\"Bladder Wall\"\>", "1.73`*^-19", "2.1200000000000003`*^-18", 
            "2.1200000000000003`*^-18", "2.1200000000000003`*^-18", 
            "2.1200000000000003`*^-18", "2.1200000000000003`*^-18", 
            "2.1200000000000003`*^-18", "2.1200000000000003`*^-18", 
            "2.1200000000000003`*^-18", "1.73`*^-19", "1.73`*^-19", 
            "1.73`*^-19", "2.09`*^-13", "2.25`*^-13", "1.64`*^-17", 
            "2.6500000000000002`*^-17", "1.1699999999999998`*^-16", 
            "1.1699999999999998`*^-16", "5.190000000000001`*^-17", 
            "5.190000000000001`*^-17", "7.45`*^-13", "2.04`*^-16", 
            "6.54`*^-16", "2.75`*^-16", "2.4100000000000003`*^-17"}
          },
        RowSpacings->1,
        ColumnSpacings->3,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      Function[ BoxForm`e$, 
        TableForm[ 
        BoxForm`e$, TableHeadings -> {None, {"T/S->", "ET1", "AI", "bb1", 
          "bb2", "bbseq", "BB1", "BB2", "BBseq", "LNth", "ET2", "ETseq", 
          "LNet", "Plasma(1,2)", "SoftTissues(3,4,5)", "Liver(6,7)", 
          "OtherKidney(9)", "TrabecularSurface (10)", "TrabVol (11,12)", 
          "CorticalSurf(13)", "CorticalVol(14,15)", "Bladder(16)", "ULI(18)", 
          "LLI(19)", "SI(21)", "ST(22)"}}]]]], "Output",
  CellLabel->"Out[25]//TableForm="]
}, Open  ]],

Cell[BoxData[
    \(\({headT, \ sseUranium}\  = {Take[Transpose[SSEU235], 1], 
          Drop[Transpose[SSEU235], 1]};\)\)], "Input",
  CellLabel->"In[26]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableForm[
      Transpose[{headT[\([1]\)], \ Dot[UsUraniumTotal, sseUranium]}], 
      TableHeadings \[Rule] {None, {"\<Target\>", \ "\<Sv/Bq\>"}}]\)], "Input",\

  CellLabel->"In[27]:="],

Cell[BoxData[
    TagBox[GridBox[{
          {"\<\"Target\"\>", "\<\"Sv/Bq\"\>"},
          {"\<\"Colon\"\>", "2.486930558404963`*^-8"},
          {"\<\"Oesophagus\"\>", "9.893708187070368`*^-9"},
          {"\<\"St Wall\"\>", "9.362813939227807`*^-9"},
          {"\<\"Testes\"\>", "8.106691114765748`*^-9"},
          {"\<\"Liver\"\>", "3.6211149551567973`*^-8"},
          {"\<\"Mama\"\>", "9.504880326548452`*^-9"},
          {"\<\"Red Marrow\"\>", "2.6593913017067468`*^-8"},
          {"\<\"Skin\"\>", "8.235156426731687`*^-9"},
          {"\<\"Lungs\"\>", "0.00003643075507710251`"},
          {"\<\"Remainder\"\>", "0.00003451128860094877`"},
          {"\<\"Bone Surface\"\>", "2.4730634878390787`*^-7"},
          {"\<\"Thyroid\"\>", "8.549882022717489`*^-9"},
          {"\<\"Bladder Wall\"\>", "8.027866614681144`*^-9"}
          },
        RowSpacings->1,
        ColumnSpacings->3,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      Function[ BoxForm`e$, 
        TableForm[ 
        BoxForm`e$, TableHeadings -> {None, {"Target", "Sv/Bq"}}]]]], "Output",\

  CellLabel->"Out[27]//TableForm="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableForm[SSEU234 // N, \ 
      TableHeadings \[Rule] {None, {"\<T/S->\>", "\<ET1\>", "\<AI\>", \
"\<bb1\>", "\<bb2\>", "\<bbseq\>", "\<BB1\>", "\<BB2\>", "\<BBseq\>", "\<LNth\
\>", "\<ET2\>", "\<ETseq\>", "\<LNet\>", "\<Plasma(1,2)\>", \
"\<SoftTissues(3,4,5)\>", "\<Liver(6,7)\>", "\<OtherKidney(9)\>", \
"\<TrabecularSurface (10)\>", "\<TrabVol (11,12)\>", "\<CorticalSurf(13)\>", \
"\<CorticalVol(14,15)\>", "\<Bladder(16)\>", "\<ULI(18)\>", "\<LLI(19)\>", \
"\<SI(21)\>", "\<ST(22)\>"}}]\)], "Input",
  CellLabel->"In[28]:="],

Cell[BoxData[
    TagBox[GridBox[{
          {"\<\"T/S->\"\>", "\<\"ET1\"\>", "\<\"AI\"\>", "\<\"bb1\"\>", \
"\<\"bb2\"\>", "\<\"bbseq\"\>", "\<\"BB1\"\>", "\<\"BB2\"\>", \
"\<\"BBseq\"\>", "\<\"LNth\"\>", "\<\"ET2\"\>", "\<\"ETseq\"\>", \
"\<\"LNet\"\>", "\<\"Plasma(1,2)\"\>", "\<\"SoftTissues(3,4,5)\"\>", \
"\<\"Liver(6,7)\"\>", "\<\"OtherKidney(9)\"\>", "\<\"TrabecularSurface (10)\"\
\>", "\<\"TrabVol (11,12)\"\>", "\<\"CorticalSurf(13)\"\>", \
"\<\"CorticalVol(14,15)\"\>", "\<\"Bladder(16)\"\>", "\<\"ULI(18)\"\>", \
"\<\"LLI(19)\"\>", "\<\"SI(21)\"\>", "\<\"ST(22)\"\>"},
          {"\<\"Colon\"\>", "2.23`*^-22", "8.069999999999999`*^-21", 
            "8.069999999999999`*^-21", "8.069999999999999`*^-21", 
            "8.069999999999999`*^-21", "8.069999999999999`*^-21", 
            "8.069999999999999`*^-21", "8.069999999999999`*^-21", 
            "8.069999999999999`*^-21", "2.23`*^-22", "2.23`*^-22", 
            "2.23`*^-22", "2.25`*^-13", "2.25`*^-13", 
            "2.2099999999999997`*^-19", "1.57`*^-19", 
            "7.089999999999999`*^-19", "7.089999999999999`*^-19", 
            "1.19`*^-19", "1.19`*^-19", "5.74`*^-19", "2.`*^-13", 
            "2.46`*^-13", "2.88`*^-17", "5.19`*^-19"},
          {"\<\"Oesophagus\"\>", "1.5`*^-19", "4.15`*^-19", "4.15`*^-19", 
            "4.15`*^-19", "4.15`*^-19", "4.15`*^-19", "4.15`*^-19", 
            "4.15`*^-19", "4.15`*^-19", "1.5`*^-19", "1.5`*^-19", "1.5`*^-19",
             "2.25`*^-13", "2.5`*^-13", "5.2999999999999996`*^-20", 
            "1.1699999999999999`*^-20", "2.2000000000000003`*^-19", 
            "2.2000000000000003`*^-19", "1.16`*^-19", "1.16`*^-19", 
            "3.4300000000000003`*^-22", "3.1099999999999997`*^-21", 
            "1.`*^-21", "2.47`*^-21", "2.5399999999999998`*^-20"},
          {"\<\"St Wall\"\>", "1.85`*^-21", "3.6`*^-19", "3.6`*^-19", 
            "3.6`*^-19", "3.6`*^-19", "3.6`*^-19", "3.6`*^-19", "3.6`*^-19", 
            "3.6`*^-19", "1.85`*^-21", "1.85`*^-21", "1.85`*^-21", 
            "2.25`*^-13", "2.25`*^-13", "1.89`*^-19", "2.97`*^-19", 
            "1.18`*^-19", "1.18`*^-19", "5.86`*^-20", "5.86`*^-20", 
            "1.3999999999999998`*^-20", "1.3500000000000001`*^-18", 
            "1.83`*^-19", "6.35`*^-19", "3.09`*^-13"},
          {"\<\"Testes\"\>", "8.900000000000001`*^-23", 
            "2.7299999999999997`*^-21", "2.7299999999999997`*^-21", 
            "2.7299999999999997`*^-21", "2.7299999999999997`*^-21", 
            "2.7299999999999997`*^-21", "2.7299999999999997`*^-21", 
            "2.7299999999999997`*^-21", "2.7299999999999997`*^-21", 
            "8.900000000000001`*^-23", "8.900000000000001`*^-23", 
            "8.900000000000001`*^-23", "2.25`*^-13", "2.25`*^-13", 
            "2.87`*^-20", "5.4`*^-20", "3.`*^-19", "3.`*^-19", 
            "8.319999999999999`*^-20", "8.319999999999999`*^-20", 
            "7.58`*^-19", "6.910000000000001`*^-18", 
            "1.7600000000000002`*^-17", "7.74`*^-18", 
            "4.5499999999999994`*^-20"},
          {"\<\"Liver\"\>", "5.789999999999999`*^-21", 
            "1.3200000000000001`*^-18", "1.3200000000000001`*^-18", 
            "1.3200000000000001`*^-18", "1.3200000000000001`*^-18", 
            "1.3200000000000001`*^-18", "1.3200000000000001`*^-18", 
            "1.3200000000000001`*^-18", "1.3200000000000001`*^-18", 
            "5.789999999999999`*^-21", "5.789999999999999`*^-21", 
            "5.789999999999999`*^-21", "2.25`*^-13", "2.25`*^-13", 
            "6.63`*^-12", "6.799999999999999`*^-19", "1.73`*^-19", 
            "1.73`*^-19", "9.55`*^-20", "9.55`*^-20", 
            "7.559999999999998`*^-21", "3.33`*^-19", 
            "1.1599999999999998`*^-20", "2.04`*^-19", "1.77`*^-19"},
          {"\<\"Mama\"\>", "2.0799999999999998`*^-20", "6.15`*^-19", 
            "6.15`*^-19", "6.15`*^-19", "6.15`*^-19", "6.15`*^-19", 
            "6.15`*^-19", "6.15`*^-19", "6.15`*^-19", 
            "2.0799999999999998`*^-20", "2.0799999999999998`*^-20", 
            "2.0799999999999998`*^-20", "2.25`*^-13", "2.25`*^-13", 
            "6.889999999999999`*^-20", "1.43`*^-20", "2.25`*^-19", 
            "2.25`*^-19", "1.1699999999999998`*^-19", 
            "1.1699999999999998`*^-19", "5.85`*^-22", 
            "5.299999999999999`*^-21", "1.2599999999999998`*^-21", 
            "4.589999999999999`*^-21", "4.9699999999999995`*^-20"},
          {"\<\"Red Marrow\"\>", "1.02`*^-19", "2.54`*^-19", "2.54`*^-19", 
            "2.54`*^-19", "2.54`*^-19", "2.54`*^-19", "2.54`*^-19", 
            "2.54`*^-19", "2.54`*^-19", "1.02`*^-19", "1.02`*^-19", 
            "1.02`*^-19", "2.25`*^-13", "2.25`*^-13", "1.65`*^-19", 
            "2.83`*^-19", "5.08`*^-12", "5.09`*^-13", 
            "5.900000000000001`*^-18", "5.900000000000001`*^-18", 
            "7.04`*^-20", "2.52`*^-19", "6.82`*^-19", 
            "4.2199999999999995`*^-19", "8.349999999999999`*^-20"},
          {"\<\"Skin\"\>", "8.01`*^-20", "7.75`*^-20", "7.75`*^-20", 
            "7.75`*^-20", "7.75`*^-20", "7.75`*^-20", "7.75`*^-20", 
            "7.75`*^-20", "7.75`*^-20", "8.01`*^-20", "8.01`*^-20", 
            "8.01`*^-20", "2.25`*^-13", "2.25`*^-13", "7.28`*^-20", 
            "1.3600000000000001`*^-19", "2.9100000000000003`*^-19", 
            "2.9100000000000003`*^-19", "3.02`*^-19", "3.02`*^-19", 
            "6.62`*^-20", "3.5799999999999997`*^-20", "1.01`*^-19", 
            "3.3199999999999995`*^-20", "5.98`*^-20"},
          {"\<\"Lungs\"\>", "9.099999999999999`*^-20", "4.78`*^-12", 
            "6.2`*^-10", "6.33`*^-10", "2.97`*^-10", "2.83`*^-10", 
            "4.67`*^-10", "8.11`*^-10", "1.03`*^-12", 
            "9.099999999999999`*^-20", "9.099999999999999`*^-20", 
            "9.099999999999999`*^-20", "2.25`*^-13", "2.25`*^-13", 
            "1.4600000000000001`*^-18", "6.71`*^-20", "2.95`*^-19", 
            "2.95`*^-19", "1.63`*^-19", "1.63`*^-19", 
            "5.730000000000001`*^-22", "1.25`*^-20", 
            "2.6399999999999997`*^-21", "9.539999999999999`*^-21", 
            "1.9599999999999998`*^-19"},
          {"\<\"Remainder\"\>", "3.73`*^-15", "7.18`*^-19", "7.18`*^-19", 
            "7.18`*^-19", "7.18`*^-19", "7.18`*^-19", "7.18`*^-19", 
            "7.18`*^-19", "7.18`*^-19", "5.740000000000001`*^-15", "2.4`*^-9",
             "5.21`*^-13", "2.25`*^-13", "2.25`*^-13", "2.7`*^-19", 
            "2.52`*^-13", "2.8199999999999997`*^-19", 
            "2.8199999999999997`*^-19", "2.4300000000000003`*^-19", 
            "2.4300000000000003`*^-19", "3.4900000000000003`*^-19", 
            "3.55`*^-19", "3.45`*^-19", "2.01`*^-15", "2.44`*^-19"},
          {"\<\"Bone Surface\"\>", "5.3799999999999995`*^-19", "7.27`*^-19", 
            "7.27`*^-19", "7.27`*^-19", "7.27`*^-19", "7.27`*^-19", 
            "7.27`*^-19", "7.27`*^-19", "7.27`*^-19", 
            "5.3799999999999995`*^-19", "5.3799999999999995`*^-19", 
            "5.3799999999999995`*^-19", "2.25`*^-13", "2.25`*^-13", 
            "4.79`*^-19", "4.99`*^-19", "3.18`*^-11", "3.18`*^-12", 
            "3.18`*^-11", "1.27`*^-12", "1.23`*^-19", 
            "3.5299999999999997`*^-19", "9.99`*^-19", "5.88`*^-19", 
            "1.94`*^-19"},
          {"\<\"Thyroid\"\>", "1.16`*^-19", "8.699999999999999`*^-20", 
            "8.699999999999999`*^-20", "8.699999999999999`*^-20", 
            "8.699999999999999`*^-20", "8.699999999999999`*^-20", 
            "8.699999999999999`*^-20", "8.699999999999999`*^-20", 
            "8.699999999999999`*^-20", "8.699999999999999`*^-20", 
            "8.699999999999999`*^-20", "8.699999999999999`*^-20", 
            "2.25`*^-13", "2.25`*^-13", "5.789999999999999`*^-21", 
            "1.2899999999999998`*^-21", "9.689999999999999`*^-20", 
            "9.689999999999999`*^-20", "1.1399999999999998`*^-19", 
            "1.1399999999999998`*^-19", "3.4600000000000003`*^-23", 
            "3.27`*^-22", "1.`*^-22", "2.3300000000000003`*^-22", 
            "1.4799999999999998`*^-21"},
          {"\<\"Bladder Wall\"\>", "3.4900000000000005`*^-23", 
            "6.490000000000001`*^-22", "6.490000000000001`*^-22", 
            "6.490000000000001`*^-22", "6.490000000000001`*^-22", 
            "6.490000000000001`*^-22", "6.490000000000001`*^-22", 
            "6.490000000000001`*^-22", "6.490000000000001`*^-22", 
            "3.4900000000000005`*^-23", "3.4900000000000005`*^-23", 
            "3.4900000000000005`*^-23", "2.25`*^-13", "2.25`*^-13", 
            "7.499999999999999`*^-21", "1.37`*^-20", "8.16`*^-20", 
            "8.16`*^-20", "3.23`*^-20", "3.23`*^-20", "6.45`*^-13", 
            "1.6000000000000002`*^-19", "1.`*^-18", "2.44`*^-19", 
            "1.33`*^-20"}
          },
        RowSpacings->1,
        ColumnSpacings->3,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      Function[ BoxForm`e$, 
        TableForm[ 
        BoxForm`e$, TableHeadings -> {None, {"T/S->", "ET1", "AI", "bb1", 
          "bb2", "bbseq", "BB1", "BB2", "BBseq", "LNth", "ET2", "ETseq", 
          "LNet", "Plasma(1,2)", "SoftTissues(3,4,5)", "Liver(6,7)", 
          "OtherKidney(9)", "TrabecularSurface (10)", "TrabVol (11,12)", 
          "CorticalSurf(13)", "CorticalVol(14,15)", "Bladder(16)", "ULI(18)", 
          "LLI(19)", "SI(21)", "ST(22)"}}]]]], "Output",
  CellLabel->"Out[28]//TableForm="]
}, Open  ]],

Cell[BoxData[
    \(\({headT, \ sseUranium}\  = {Take[Transpose[SSEU234], 1], 
          Drop[Transpose[SSEU234], 1]};\)\)], "Input",
  CellLabel->"In[29]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableForm[
      Transpose[{headT[\([1]\)], \ Dot[UsUraniumTotal, sseUranium]}], 
      TableHeadings \[Rule] {None, {"\<Target\>", \ "\<Sv/Bq\>"}}]\)], "Input",\

  CellLabel->"In[30]:="],

Cell[BoxData[
    TagBox[GridBox[{
          {"\<\"Target\"\>", "\<\"Sv/Bq\"\>"},
          {"\<\"Colon\"\>", "2.254548571561584`*^-8"},
          {"\<\"Oesophagus\"\>", "8.824255812701978`*^-9"},
          {"\<\"St Wall\"\>", "8.470472280810547`*^-9"},
          {"\<\"Testes\"\>", "7.942003732818876`*^-9"},
          {"\<\"Liver\"\>", "3.638841104407899`*^-8"},
          {"\<\"Mama\"\>", "7.944202164133688`*^-9"},
          {"\<\"Red Marrow\"\>", "2.6991781895529442`*^-8"},
          {"\<\"Skin\"\>", "7.94149599009672`*^-9"},
          {"\<\"Lungs\"\>", "0.00004111395036434679`"},
          {"\<\"Remainder\"\>", "0.000037636014028153764`"},
          {"\<\"Bone Surface\"\>", "2.693464656038504`*^-7"},
          {"\<\"Thyroid\"\>", "7.941516607920134`*^-9"},
          {"\<\"Bladder Wall\"\>", "7.971220981977414`*^-9"}
          },
        RowSpacings->1,
        ColumnSpacings->3,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      Function[ BoxForm`e$, 
        TableForm[ 
        BoxForm`e$, TableHeadings -> {None, {"Target", "Sv/Bq"}}]]]], "Output",\

  CellLabel->"Out[30]//TableForm="]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"5.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
WindowSize->{892, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageFooters->{{Inherited, Cell[ 
        TextData[ {"\[Copyright]2004 Guillermo Sanchez and ENUSA"}], 
        "PageFooter"], Inherited}, {Inherited, Cell[ 
        TextData[ {"\[Copyright]Guillermo Sanchez and ENUSA"}], "PageFooter"],
       Inherited}},
ShowSelection->True,
Magnification->1.25,
StyleDefinitions -> "HelpBrowser.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 44, 0, 115, "Chapter"],
Cell[1823, 55, 358, 11, 30, "Text"],
Cell[2184, 68, 62, 0, 38, "Commentary"],
Cell[2249, 70, 85, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[2359, 76, 40, 0, 48, "SubsectionIcon"],

Cell[CellGroupData[{
Cell[2424, 80, 65, 2, 33, "Input"],
Cell[2492, 84, 101, 2, 32, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2630, 91, 87, 2, 33, "Input"],
Cell[2720, 95, 91, 2, 27, "Print"],
Cell[2814, 99, 118, 2, 27, "Print"],
Cell[2935, 103, 89, 2, 27, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3061, 110, 86, 2, 33, "Input"],
Cell[3150, 114, 8531, 211, 124, "Print"]
}, Open  ]],
Cell[11696, 328, 99, 2, 33, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[11832, 335, 39, 0, 34, "SubsectionIcon"],
Cell[11874, 337, 763, 18, 113, "Text"],
Cell[12640, 357, 278, 10, 55, "NumberedEquation"],
Cell[12921, 369, 22, 0, 29, "Text"],
Cell[12946, 371, 227, 5, 29, "Text"],
Cell[13176, 378, 226, 8, 57, "NumberedEquation"],
Cell[13405, 388, 227, 5, 29, "Text"],
Cell[13635, 395, 345, 10, 68, "NumberedEquation"],
Cell[13983, 407, 1411, 40, 233, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[15431, 452, 67, 0, 34, "SubsectionIcon"],
Cell[15501, 454, 184, 4, 48, "Text"],
Cell[15688, 460, 53, 0, 29, "Text"],
Cell[15744, 462, 88, 2, 29, "Text"],
Cell[15835, 466, 566, 9, 138, "Input"],
Cell[16404, 477, 512, 10, 86, "Text"],
Cell[16919, 489, 227, 4, 54, "Input"],
Cell[17149, 495, 176, 5, 29, "Text"],

Cell[CellGroupData[{
Cell[17350, 504, 105, 2, 34, "Input"],
Cell[17458, 508, 390, 8, 95, "Output"]
}, Open  ]],
Cell[17863, 519, 44, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[17932, 523, 260, 4, 75, "Input"],
Cell[18195, 529, 7508, 202, 337, "Output"]
}, Open  ]],
Cell[25718, 734, 421, 7, 67, "Text"],
Cell[26142, 743, 387, 8, 75, "Input"],
Cell[26532, 753, 107, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[26664, 760, 304, 6, 75, "Input"],
Cell[26971, 768, 1575, 33, 245, "Output"]
}, Open  ]],
Cell[28561, 804, 248, 6, 48, "Text"],
Cell[28812, 812, 334, 6, 54, "Input"],

Cell[CellGroupData[{
Cell[29171, 822, 64, 2, 33, "Input"],
Cell[29238, 826, 451, 8, 74, "Output"]
}, Open  ]],
Cell[29704, 837, 140, 3, 33, "Input"],
Cell[29847, 842, 115, 3, 29, "Text"],
Cell[29965, 847, 139, 3, 33, "Input"],
Cell[30107, 852, 85, 2, 33, "Input"],
Cell[30195, 856, 157, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[30377, 863, 160, 3, 33, "Input"],
Cell[30540, 868, 108, 2, 32, "Output"]
}, Open  ]],
Cell[30663, 873, 52, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[30740, 877, 506, 11, 117, "Input"],
Cell[31249, 890, 4533, 105, 377, "Output"]
}, Open  ]],
Cell[35797, 998, 174, 3, 54, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[36008, 1006, 71, 0, 34, "SubsectionIcon"],

Cell[CellGroupData[{
Cell[36104, 1010, 88, 2, 33, "Input"],
Cell[36195, 1014, 149, 3, 27, "Print"]
}, Open  ]],
Cell[36359, 1020, 159, 3, 29, "Text"],
Cell[36521, 1025, 321, 6, 79, "Text"],
Cell[36845, 1033, 583, 12, 218, "Text"],

Cell[CellGroupData[{
Cell[37453, 1049, 551, 9, 138, "Input"],
Cell[38007, 1060, 7892, 125, 297, "Output"]
}, Open  ]],
Cell[45914, 1188, 120, 3, 29, "Text"],
Cell[46037, 1193, 158, 3, 33, "Input"],
Cell[46198, 1198, 142, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[46365, 1205, 669, 11, 138, "Input"],
Cell[47037, 1218, 619, 10, 74, "Output"]
}, Open  ]],
Cell[47671, 1231, 92, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[47788, 1237, 81, 2, 33, "Input"],
Cell[47872, 1241, 1090, 31, 431, "Output"]
}, Open  ]],
Cell[48977, 1275, 66, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[49068, 1279, 208, 5, 54, "Input"],
Cell[49279, 1286, 1075, 24, 291, "Output"]
}, Open  ]],
Cell[50369, 1313, 62, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[50456, 1317, 551, 9, 138, "Input"],
Cell[51010, 1328, 8921, 141, 319, "Output"]
}, Open  ]],
Cell[59946, 1472, 158, 3, 33, "Input"],

Cell[CellGroupData[{
Cell[60129, 1479, 208, 5, 54, "Input"],
Cell[60340, 1486, 1130, 25, 313, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[61507, 1516, 551, 9, 138, "Input"],
Cell[62061, 1527, 9302, 147, 319, "Output"]
}, Open  ]],
Cell[71378, 1677, 158, 3, 33, "Input"],

Cell[CellGroupData[{
Cell[71561, 1684, 208, 5, 54, "Input"],
Cell[71772, 1691, 1128, 25, 313, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

